## org.gjt.sp.jedit.io
Class FileRootsVFS

    java.lang.Object
      org.gjt.sp.jedit.io.VFS
          org.gjt.sp.jedit.io.FileRootsVFS

public class FileRootsVFS
extends VFS

A VFS that lists local root filesystems.

Version:
  $Id: FileRootsVFS.java,v 1.18 2004/07/12 19:25:07 spestov Exp $
Author:
  Slava Pestov

Nested Class Summary

Nested classes inherited from class org.gjt.sp.jedit.io.VFS
`VFS.DirectoryEntry, VFS.DirectoryEntryCompare`

Field Summary
`static java.lang.String` `PROTOCOL`

Fields inherited from class org.gjt.sp.jedit.io.VFS
`BROWSE_CAP, CASE_INSENSITIVE_CAP, DELETE_CAP, EA_MODIFIED, EA_SIZE, EA_STATUS, EA_TYPE, LOW_LATENCY_CAP, MKDIR_CAP, READ_CAP, RENAME_CAP, WRITE_CAP`

Constructor Summary
`FileRootsVFS()`

Method Summary
`VFS.DirectoryEntry` `_getDirectoryEntry(java.lang.Object session, java.lang.String path, java.awt.Component comp)` Returns the specified directory entry.
`VFS.DirectoryEntry[]` `_listDirectory(java.lang.Object session, java.lang.String url, java.awt.Component comp)` Lists the specified directory.
`java.lang.String` `getParentOfPath(java.lang.String path)` Returns the parent of the specified path.

Methods inherited from class org.gjt.sp.jedit.io.VFS
`_backup, _canonPath, _createInputStream, _createOutputStream, _delete, _endVFSSession, _listDirectory, _mkdir, _rename, _saveComplete, constructPath, createVFSSession, getCapabilities, getDefaultColorFor, getExtendedAttributes, getFileName, getFileSeparator, getName, getTwoStageSaveName, insert, load, reloadDirectory, save, showBrowseDialog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROTOCOL

    public static final java.lang.String PROTOCOL

See Also:
  Constant Field Values

Constructor Detail

### FileRootsVFS

    public FileRootsVFS()

Method Detail

### getParentOfPath

    public java.lang.String getParentOfPath(java.lang.String path)

  Description copied from class: `VFS`
  Returns the parent of the specified path. This must be overridden to return a non-null value for browsing of this filesystem to work.

  Overrides:
    `getParentOfPath` in class `VFS`
  Parameters:
    `path` - The path

### _listDirectory

    public VFS.DirectoryEntry[] _listDirectory(java.lang.Object session,
                                               java.lang.String url,
                                               java.awt.Component comp)

  Description copied from class: `VFS`
  Lists the specified directory.

  Overrides:
    `_listDirectory` in class `VFS`
  Parameters:
    `session` - The session
    `url` - The directory. Note that this must be a full URL, including the host name, path name, and so on. The username and password (if needed by the VFS) is obtained from the session instance.
    `comp` - The component that will parent error dialog boxes

### _getDirectoryEntry

    public VFS.DirectoryEntry _getDirectoryEntry(java.lang.Object session,
                                                 java.lang.String path,
                                                 java.awt.Component comp)

  Description copied from class: `VFS`
  Returns the specified directory entry.

  Overrides:
    `_getDirectoryEntry` in class `VFS`
  Parameters:
    `session` - The session
    `path` - The path
    `comp` - The component that will parent error dialog boxes
  Returns:
    The specified directory entry, or null if it doesn't exist.